## Description
Controltheorylib is a Python library designed for creating high-quality mathematical animations related to control theory using Manim. It helps visualize concepts such as transfer functions, Bode plots, Nyquist plots, state-space representations, and system dynamics. Example animations which implement the functions provided in this library can be found in the examples folder. 

## Philosophy
The core philosophy behind Controltheorylib is to make control theory concepts more accessible and intuitive through visualization. By leveraging the power of Manim, this library aims to bridge the gap between theoretical understanding and practical application. It is designed to help students, educators, and engineers gain deeper insights into dynamic systems and their behaviors through engaging animations.

## Getting started 🚀
### Installation Dependicies
Make sure you are in the root directory.
To install the dependicies, type the following line of code in your system terminal or command prompt:

`pip install -r requirements.txt`

When the dependicies have succesfully been installed:
1. Navigate to the python terminal and type:
2. `pip install wheel`
3. `python setup.py bdist_wheel`
4. `pip install dist\controltheorylib-0.1.0-py3-none-any.whl`

 ## Features

+ 🎥 Seamless integration with Manim – Generate smooth mathematical animations for control theory.

+ 📊 Bode, Nyquist, and Root Locus Plots – Easily animate common control theory visualizations.

+ 🔧 Customizable Animations – Adjust colors, styles, and parameters for better visualization.


## More details
For more details, check the documentation (add link).


## 📬 Contact
For questions or support, reach out via:
+ GitHub Issues: Open an issue
+ Email: j.r.k.stammen@student.tue.nl

